Summary: TrueType Font Library for SDL.
Name: SDL_ttf
Version: 2.0.6
Release: 4%{?dist}
URL: http://www.libsdl.org/projects/SDL_ttf/
Source0: http://www.libsdl.org/projects/SDL_ttf/release/%{name}-%{version}.tar.gz
Patch0: SDL_ttf-2.0.6-openstream.patch
Patch1: SDL_ttf-2.0.6-freetype.patch
License: LGPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: SDL-devel >= 1.2.4, zlib-devel
BuildRequires: freetype-devel >= 2.0

%description
SDL_ttf is a TrueType font rendering library that is used with the SDL
library, and almost as portable. It depends on freetype2 to handle the
TrueType font data. It allows a programmer to use multiple TrueType
fonts without having to code a font rendering routine themselves. With
the power of outline fonts and antialiasing, high quality text output
can be obtained without much effort.

%package devel
Summary: Developement file for SDL_ttf.
Group: Development/Libraries
Requires: %{name} = %{eversion}

%description devel
SDL_ttf is a TrueType font rendering library that is used with the SDL
library, and almost as portable. It depends on freetype2 to handle the
TrueType font data. It allows a programmer to use multiple TrueType
fonts without having to code a font rendering routine themselves. With
the power of outline fonts and antialiasing, high quality text output
can be obtained without much effort.

This package contains files needed for developing against SDL_ttf.

%prep
%setup -q
%patch0 -p1 -b .openstream
%patch1 -p1 -b .freetype

%build
%configure
make

%install
rm -rf %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc README COPYING CHANGES
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/SDL
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la

%changelog
* Tue May 18 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Fix freetype includes.

* Tue Nov  4 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- initial spec file

